/* Out of the box history */
/* KYNAPSRV */

DELETE FROM O4SRV.TOBJACCL
	WHERE OBJNAME ="UADVISOR_KYN_KYNAPSRV";

DELETE FROM O4SRV.TSITDESC
	WHERE SITNAME="UADVISOR_KYN_KYNAPSRV";

/* ** UAdvisor for KYNAPSRV Historical Collection ** */
						  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*SYN" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SPUFIL" ,                                           /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
  '*IF *HISTRULE SELECT ORIGINNODE,SERVER_NAM,NODE_NAME,
SDATE_TIME,INT_TIME,STATUS,WAS_VERS,
STDATE_TIM,PID,MEM_FREE,MEM_TOTAL,
MEM_SIZE,AS_CPU,AS_CPUP,
JVM_IL,SRV_TYPE,SRVI_NAME,REQ_MON,
REQ_SRATE,RES_MON,GC_MON 
 FROM KYN.KYNAPSRV WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND 
SYSTEM.PARMA("INTERVAL", "900000", 10) AND 
SYSTEM.PARMA("NODELIST", "*ALL", 4) AND 
SYSTEM.PARMA("SITNAME","UADVISOR_KYN_KYNAPSRV", 21)' , 
   "PRNAMES" ,                                            /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "00" ,                                               /* REEV_DAYS */
   "001500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KYN_KYNAPSRV" ,      /* SITNAME */
   "UADVISOR SITUATION FOR KYNAPSRV HISTORY"  /* TEXT */
  );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "N",                                                  /* HUB        */
  "1050521080720000" ,                                   /* LSTDATE */
  "V610",                                               /* LSTRELEASE */
  "HISTCNFG" ,                                           /* LSTUSRPRF */
  "*ALL_CMS",                                           /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "UADVISOR_KYN_KYNAPSRV",          /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

/* KYNGCACT */

DELETE FROM O4SRV.TOBJACCL
	WHERE OBJNAME ="UADVISOR_KYN_KYNGCACT";

DELETE FROM O4SRV.TSITDESC
	WHERE SITNAME="UADVISOR_KYN_KYNGCACT";

/* ** UAdvisor for KYNGCACT Historical Collection ** */
						  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*SYN" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SPUFIL" ,                                           /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
  '*IF *HISTRULE SELECT ORIGINNODE,SERVER_NAM,NODE_NAME,
SDATE_TIME,INT_TIME,PID,NUM_RUN,
NUM_FREE,NUM_MOVE,BYTE_FREE,IN_USE,
IN_USE_D,NUMB_FREE,REAL_TIME,REAL_TPCT,
GC_RATE
 FROM KYN.KYNGCACT WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND 
SYSTEM.PARMA("INTERVAL", "900000", 10) AND 
SYSTEM.PARMA("NODELIST", "*ALL", 4) AND 
SYSTEM.PARMA("SITNAME","UADVISOR_KYN_KYNGCACT", 21)' , 
   "PRNAMES" ,                                            /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "00" ,                                               /* REEV_DAYS */
   "001500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KYN_KYNGCACT" ,      /* SITNAME */
   "UADVISOR SITUATION FOR KYNGCACT HISTORY"  /* TEXT */
  );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "N",                                                  /* HUB        */
  "1050521080720000" ,                                   /* LSTDATE */
  "V610",                                               /* LSTRELEASE */
  "HISTCNFG" ,                                           /* LSTUSRPRF */
  "*ALL_CMS",                                           /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "UADVISOR_KYN_KYNGCACT",          /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

/* KYNREQHIS */

DELETE FROM O4SRV.TOBJACCL
	WHERE OBJNAME ="UADVISOR_KYN_KYNREQHIS";

DELETE FROM O4SRV.TSITDESC
	WHERE SITNAME="UADVISOR_KYN_KYNREQHIS";

/* ** UAdvisor for KYNREQHIS Historical Collection ** */
						  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*SYN" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SPUFIL" ,                                           /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
  '*IF *HISTRULE SELECT ORIGINNODE,SDATE_TIME,INT_TIME,
AVG_TIME,REQ_RATE,SAMP_RATE
 FROM KYN.KYNREQHIS WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND 
SYSTEM.PARMA("INTERVAL", "900000", 10) AND 
SYSTEM.PARMA("NODELIST", "*ALL", 4) AND 
SYSTEM.PARMA("SITNAME","UADVISOR_KYN_KYNREQHIS", 22)' , 
   "PRNAMES" ,                                            /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "00" ,                                               /* REEV_DAYS */
   "001500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KYN_KYNREQHIS" ,      /* SITNAME */
   "UADVISOR SITUATION FOR KYNREQHIS HISTORY"  /* TEXT */
  );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "N",                                                  /* HUB        */
  "1050521080720000" ,                                     /* LSTDATE */
  "V610",                                               /* LSTRELEASE */
  "HISTCNFG" ,                                           /* LSTUSRPRF */
  "*ALL_CMS",                                           /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "UADVISOR_KYN_KYNREQHIS",                             /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

/* KYNTHRDP */

DELETE FROM O4SRV.TOBJACCL
	WHERE OBJNAME ="UADVISOR_KYN_KYNTHRDP";

DELETE FROM O4SRV.TSITDESC
	WHERE SITNAME="UADVISOR_KYN_KYNTHRDP";

/* ** UAdvisor for KYNTHRDP Historical Collection ** */
						  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*SYN" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SPUFIL" ,                                           /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
  '*IF *HISTRULE SELECT ORIGINNODE,SERVER_NAM,NODE_NAME,
SDATE_TIME,INT_TIME,THRDP_NAME,ILTYPE,
THRDP_IL,SUMMARY,NUM_CREATE,RTE_CREATE,
NUM_DESTRY,RTE_DESTRY,NUM_ACTTHR,POOL_SIZE,
PCT_TIMMAX,AVG_INACT,MAX_SIZE
 FROM KYN.KYNTHRDP WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND 
SYSTEM.PARMA("INTERVAL", "900000", 10) AND 
SYSTEM.PARMA("NODELIST", "*ALL", 4) AND 
SYSTEM.PARMA("SITNAME","UADVISOR_KYN_KYNTHRDP", 21)' , 
   "PRNAMES" ,                                            /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "00" ,                                               /* REEV_DAYS */
   "001500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KYN_KYNTHRDP" ,      /* SITNAME */
   "UADVISOR SITUATION FOR KYNTHRDP HISTORY"  /* TEXT */
  );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "N",                                                  /* HUB        */
  "1050521080720000" ,                                     /* LSTDATE */
  "V610",                                               /* LSTRELEASE */
  "HISTCNFG" ,                                           /* LSTUSRPRF */
  "*ALL_CMS",                                           /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "UADVISOR_KYN_KYNTHRDP",                              /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

/* Product Provided Situations */

$PARMS(
"An error has occurred in the Web application. For details, consult the
Log Analysis workspace for error messages, and check the application ser
ver's log files.");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                           /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Web_Applications.Error_Count *GT 0",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASWebApplicationError" ,                      /* SITNAME */
   "Web Application Error."      /* TEXT */
  );
DELETE FROM O4SRV.TOBJACCL
	WHERE OBJNAME ="WASWebApplicationError";
INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("WASWebApplicationError" ,
   "Critical" ,
   "KYN.0140.KYNAPP" ,
   256 );


$PARMS(
"An error has occurred in a servlet or JSP. For details, consult the Log
 Analysis workspace for error messages, and check the application server
's log files.");
 
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Servlets_JSPs.Error_Count *GT 0",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASServletsJSPsError" ,                /* SITNAME */
   "Servlets/JSPs Error."            /* TEXT */
  );

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("WASServletsJSPsError" ,
   "Critical" ,
   "KYN.0140.KYNAPP" ,
   256 );

$PARMS(
"The thread timeout count in the DB Connection Pools is greater than 0; 
therefore, the connection could not be obtained (possibly because the po
ol size is too small, the backend database server is busy, or the networ
k is overloaded). For details, consult the Log Analysis workspace for th
e error messages, and check the application server's log file.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE DB_Connection_Pools.Threads_Timed_Out *GT 0",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASDBConnectionPoolThreadTimeout" ,            /* SITNAME */
   "Thread Timeout for DB Connection Pools"            /* TEXT */
  );

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("WASDBConnectionPoolThreadTimeout" ,
   "Critical" ,
   "KYN.0160.KYNCONTNR" ,
   256 );

$PARMS(
"The transaction manager's rollback count is greater than 0, (possibly b
ecause the backend Enterprise Information System--for example, CICS, Web
Sphere MQ, or DB2--is unavailable or the application's business logic fa
iled). For details, consult the Log Analysis workspace for the error mes
sages, and check the application server's log file.");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Container_Transactions.Global_Transactions_Rolled_Back 
*GT 0 *OR *VALUE Container_Transactions.Local_Transactions_Rolled_Back
*GT 0 *OR *VALUE Container_Transactions.Transactions_Rolled_Back
*GT 0 ",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASContainerTransactionRollback" ,          /* SITNAME */
   "Container Transaction Rollback"            /* TEXT */
  );

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("WASContainerTransactionRollback" ,
   "Critical" ,
   "KYN.0160.KYNCONTNR" ,
   256 );

$PARMS(
"An error has occurred in the WebSphere application server. Scroll the I
nitial Situation Values view, and examine the message text to determine 
the corrective action; consult the application server's log files for de
tails.");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Log_Analysis.Severity *GT 21",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000000" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASError" ,                /* SITNAME */
   "WebSphere Application Server Error."            /* TEXT */
  );

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("WASError" ,
   "Critical" ,
   "KYN.0060.KYNASERR" ,
   256 );

$PARMS(
"The ITCAM for WebSphere secondary data collector running in the applica
tion server has not connected to the Monitoring Agent. This may indicate
 that the WebSphere Application Server has not started.  Use the Start_W
AS_Server_ command in the Take Action view to the left to start your app
lication server.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000001000000000000",       /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Application_Server_Status.Status *EQ 0",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASNotConnected" ,             /* SITNAME */
   "WebSphere Application Server is Not Connected."         /* TEXT */
  );

$PARMS(
"Heap allocation failed: heap space exhausted. Use either ITCAM for WebS
phere's Memory Leaks report to check your applications for memory leaks 
or the WebSphere administrative console to tune the space allocated to t
he heap.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Allocation_Failure.Heap_Status *EQ 1",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000000" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASOutofHeapSpace" ,                /* SITNAME */
   "WebSphere Application Server out of Heap Space."        /* TEXT */
  );

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("WASOutofHeapSpace" ,
   "Critical" ,
   "KYN.0040.KYNGCACT" ,
   256 );

$PARMS(
"The average request response time is high: greater than 2 seconds. Cons
ult the Request Analysis workspace to troubleshoot the slow response tim
es."); 
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Request_Times_and_Rates.Average_Request_Response_Time 
*GT 2000",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASHighResponseTime" ,          /* SITNAME */
   "WebSphere Application Server Response Time High"         /* TEXT */
  );

$PARMS(
"The percentage of the CPU used by the application server JVM is high: g
reater than 80%. Consult the WebSphere App Server workspace to troublesh
oot the high CPU usage.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Application_Server.CPU_Used_Percent 
*GT 80",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASHighCPUPercentUsed" ,          /* SITNAME */
   "WebSphere Application Server Percent CPU Used High"     /* TEXT */
  );

$PARMS(
"The average percentage of the time that all threads are in use is high:
 greater than 80%. This may mean the pool size is too small; use the Web
Sphere administrative console to tune the thread pool size.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Thread_Pools.Percent_of_Time_Pool_at_Max 
*GT 80",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASThreadPoolPercentMaxed" ,          /* SITNAME */
   "WebSphere Application Server Thread Pool Percent Maxed"  /* TEXT */
  );
$PARMS(
"The percentage of time that the garbage collector was active is high: g
reater than 80%. This may mean your heap size is too small; use the WebS
phere administrative console to tune either the garbage-collection param
eters or the space allocated to the heap.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   ADVISE,
   SITNAME ,
   TEXT
  )
VALUES
  ("0000000000000000000000000000002000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NN      ",                                          /* AUTOSOPT */   
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050521080720000" ,                                   /* LSTDATE */
   "V610" ,                                            /* LSTRELEASE */
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE Garbage_Collection_Analysis.Real_Time_Percent 
*GT 80",
   "MV52" ,                                               /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   ?, 
   "WASHighGCTimePercent" ,          /* SITNAME */
   "WebSphere Application Server High GC Time Percent"      /* TEXT */
  );

/* Take Action */

/* Start Server */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNSTARTSRV";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNSTARTSRV",                                 /* KEY */
  "0000000000000000000000000000002000000000000",       /* AFFINITIES */
  "Start_WAS_Server",                                  /* NAME */
  "Start a WebSphere Application Server",              /* DESC */
  "YN:StartAppSvr &User &Password",                    /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
 );

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNSTARTSRVA";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNSTARTSRVA",                                /* KEY */
  "0000000000000000000000000000001000000000000",       /* AFFINITIES */
  "Start_WAS_Server_",                                 /* NAME */
  "Start a WebSphere Application Server",              /* DESC */
  "YN:StartAppSvr &Server_Name &User &Password",       /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
);


/* Stop Server */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNSTOPSRV";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNSTOPSRV",                                  /* KEY */
  "0000000000000000000000000000002000000000000",       /* AFFINITIES */
  "Stop_WAS_Server",                                   /* NAME */
  "Stop a WebSphere Application Server",               /* DESC */
  "YN:StopAppSvr &User &Password",                     /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
 );

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNSTOPSRVA";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNSTOPSRVA",                                 /* KEY */
  "0000000000000000000000000000001000000000000",       /* AFFINITIES */
  "Stop_WAS_Server_",                                  /* NAME */
  "Stop a WebSphere Application Server",               /* DESC */
  "YN:StopAppSvr &Server_Name &User &Password",        /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
);


/* Recycle Server */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNCYCLESRV";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNCYCLESRV",                                 /* KEY */
  "0000000000000000000000000000002000000000000",       /* AFFINITIES */
  "Recycle_WAS_Server",                                /* NAME */
  "Recycle a WebSphere Application Server",            /* DESC */
  "YN:CycleAppSvr &User &Password",                    /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
 );

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNCYCLESRVA";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNCYCLESRVA",                                /* KEY */
  "0000000000000000000000000000001000000000000",       /* AFFINITIES */
  "Recycle_WAS_Server_",                               /* NAME */
  "Recycle a WebSphere Application Server",            /* DESC */
  "YN:CycleAppSvr &Server_Name &User &Password",       /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
);


/* Remove SubNode */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNREMSNODE";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNREMSNODE",                                 /* KEY */
  "0000000000000000000000000000002000000000000",       /* AFFINITIES */
  "Remove_SubNode",                                    /* NAME */
  "Remove an inactive WebSphere Application Server",   /* DESC */
  "YN:RemSubNode",                                     /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
 );

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNREMSNODEA";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNREMSNODEA",                                /* KEY */
  "0000000000000000000000000000001000000000000",       /* AFFINITIES */
  "Remove_SubNode_",                                   /* NAME */
  "Remove an inactive WebSphere Application Server",   /* DESC */
  "YN:RemSubNode &Server_Name",                        /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
);

/* Begin reporting garbage-collection data */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "YNSTARTGCMONITOR";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
  TABLES, VERSION)
  VALUES("YNSTARTGCMONITOR",                           /* KEY */
  "0000000000000000000000000000002000000000000",       /* AFFINITIES*/
  "Start_GC_Monitoring",                               /* NAME */
  "Begin reporting garbage-collection data",           /* DESC */
  "YN:StartGCMonitor",                                 /* CMD */
  " ",                                                 /* SECURITY */
  " ",                                                 /* TABLES */
  " "                                                  /* VERSION */
 );
 
 /* Stop reporting garbage-collection data */ 
 
 DELETE FROM O4SRV.CCT
    WHERE KEY = "YNSTOPGCMONITOR";
 
 INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
   TABLES, VERSION)
   VALUES("YNSTOPGCMONITOR",                            /* KEY */
   "0000000000000000000000000000002000000000000",       /* AFFINITIES*/
   "Stop_GC_Monitoring",                                /* NAME */
   "Stop reporting garbage-collection data",            /* DESC */
   "YN:StopGCMonitor",                                  /* CMD */
   " ",                                                 /* SECURITY */
   " ",                                                 /* TABLES */
   " "                                                  /* VERSION */
 );
 
 /* Begin reporting request data */ 
 
 DELETE FROM O4SRV.CCT
    WHERE KEY = "YNSTARTREQMONITOR";
 
 INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
   TABLES, VERSION)
   VALUES("YNSTARTREQMONITOR",                          /* KEY */
   "0000000000000000000000000000002000000000000",       /* AFFINITIES*/
   "Start_Request_Monitoring",                          /* NAME */
   "Begin reporting request data",                      /* DESC */
   "YN:StartRequestMonitor &Level",                     /* CMD */
   " ",                                                 /* SECURITY */
   " ",                                                 /* TABLES */
   " "                                                  /* VERSION */
  );

 /* Set the sampling rate for request data */ 
  
  DELETE FROM O4SRV.CCT
     WHERE KEY = "YNSETREQMONITOR";
  
  INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
    TABLES, VERSION)
    VALUES("YNSETREQMONITOR",                            /* KEY */
    "0000000000000000000000000000002000000000000",       /* AFFINITIES*/
    "Set_Request_Sampling_Rate",                         /* NAME */
    "Set the sampling rate for request data",            /* DESC */
    "YN:SetRequestSamplingRate &Percent",                /* CMD */
    " ",                                                 /* SECURITY */
    " ",                                                 /* TABLES */
    " "                                                  /* VERSION */
   );
 
 /* Stop reporting request data */ 
 
 DELETE FROM O4SRV.CCT
    WHERE KEY = "YNSTOPREQMONITOR";
 
 INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
   TABLES, VERSION)
   VALUES("YNSTOPREQMONITOR",                           /* KEY */
   "0000000000000000000000000000002000000000000",       /* AFFINITIES*/
   "Stop_Request_Monitoring",                           /* NAME */
   "Begin reporting request data",                      /* DESC */
   "YN:StopRequestMonitor",                             /* CMD */
   " ",                                                 /* SECURITY */
   " ",                                                 /* TABLES */
   " "                                                  /* VERSION */
  );

 /* Begin reporting PMI data */ 
 
 DELETE FROM O4SRV.CCT
    WHERE KEY = "YNSTARTRESMONITOR";
 
 INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
   TABLES, VERSION)
   VALUES("YNSTARTRESMONITOR",                          /* KEY */
   "0000000000000000000000000000002000000000000",       /* AFFINITIES*/
   "Start_Resource_Monitoring",                         /* NAME */
   "Begin reporting PMI data",                          /* DESC */
   "YN:StartResourceMonitor",                           /* CMD */
   " ",                                                 /* SECURITY */
   " ",                                                 /* TABLES */
   " "                                                  /* VERSION */
  );
 
 /* Stop reporting PMI data */ 
  
 DELETE FROM O4SRV.CCT
     WHERE KEY = "YNSTOPRESMONITOR";
  
 INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD, SECURITY,
   TABLES, VERSION)
   VALUES("YNSTOPRESMONITOR",                           /* KEY */
   "0000000000000000000000000000002000000000000",       /* AFFINITIES*/
   "Stop_Resource_Monitoring",                          /* NAME */
   "Stop reporting PMI data",                           /* DESC */
   "YN:StopResourceMonitor",                            /* CMD */
   " ",                                                 /* SECURITY */
   " ",                                                 /* TABLES */
   " "                                                  /* VERSION */
 );
  
  